获取应用事件列表
获取应用事件列表
Path Parameters
subscription_name string required
订阅名称
resource_group_name string required
资源组名称
zone string required
可用区
workspace_name string required
工作空间名称
app_name string required
应用名称
Query Parameters
page_size int32
指定每页返回的最大数据量,最大值为 500,默认值为 10
page_token string
分页查询的起始标记。通常为上一次查询返回的 next_page_token, 默认值为 1
Responses
- 200
- default
OK
application/json
Schema
Example (from schema)
Schema
- Array [
- ]
events object[]
事件列表
type string
类型,例如:Normal 或 Warning
reason string
原因
age string
自上次发生此事件以来经过的时间(以秒为单位)
source string
来源(保留字段)
message string
消息内容
resource string
资源
count int32
事件发生次数
span string
从第一次发生到最近一次发生的时间(以秒为单位)
next_page_token string
下一页的 token,用户需将该值作为 page_token 传递到下一次请求中
total_size int32
符合当前查询条件的后台数据总数
{
"events": [
{
"type": "string",
"reason": "string",
"age": "string",
"source": "string",
"message": "string",
"resource": "string",
"count": 0,
"span": "string"
}
],
"next_page_token": "string",
"total_size": 0
}
Default error response
application/json
Schema
Example (from schema)
Schema
- Array [
- ]
code int32
The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
message string
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
details object[]
A list of messages that carry the error details. There is a common set of message types for APIs to use.
@type string
The type of the serialized message.
{
"code": 0,
"message": "string",
"details": [
{
"@type": "string"
}
]
}
Loading...